"use strict";

exports.__esModule = true;
exports.default = void 0;

var _curryN2 = _interopRequireDefault(require("ramda/src/curryN"));

var _apply2 = _interopRequireDefault(require("ramda/src/apply"));

var _map2 = _interopRequireDefault(require("ramda/src/map"));

var _toPairs2 = _interopRequireDefault(require("ramda/src/toPairs"));

var _pipe2 = _interopRequireDefault(require("ramda/src/pipe"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

// ((k, v) -> a) -> {k: v} -> [a]
function zipEachKeyVal(func, obj) {
  return (0, _pipe2.default)(_toPairs2.default, (0, _map2.default)((0, _apply2.default)(func)))(obj);
}

var _default = (0, _curryN2.default)(2, zipEachKeyVal);

exports.default = _default;