import _curryN from "ramda/src/curryN";
import _apply from "ramda/src/apply";
import _map from "ramda/src/map";
import _toPairs from "ramda/src/toPairs";
import _pipe from "ramda/src/pipe";

// ((k, v) -> a) -> {k: v} -> [a]
function zipEachKeyVal(func, obj) {
  return _pipe(_toPairs, _map(_apply(func)))(obj);
}

export default _curryN(2, zipEachKeyVal);