"use strict";

exports.__esModule = true;
exports.default = void 0;

var _curryN2 = _interopRequireDefault(require("ramda/src/curryN"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function actionCreatorFactory(scope, type) {
  const t = `${scope}/${type}`;

  function f(payload) {
    return {
      type: t,
      payload
    };
  }

  f.type = t;
  return f;
}

var _default = (0, _curryN2.default)(2, actionCreatorFactory);

exports.default = _default;