"use strict";

exports.__esModule = true;
exports.default = void 0;

function createReducer(declaration, initialValue) {
  return function reducerFn(state = initialValue, action) {
    const reducer = declaration[action.type];
    const returned = reducer ? reducer(state, action.payload, action) : state;
    return returned;
  };
}

var _default = createReducer;
exports.default = _default;